package Agent ;

import java.io.* ;
import java.util.Vector ;
import java.util.Enumeration ;

/*
	Struttura che memorizza un agente e la sua classe
	serve per mandare queste informazioni in rete
*/

public class AgentPacket implements java.io.Serializable {
    public String className ; // nome della classe
    public byte ClassBytes[] ; // bytes della classe
    public byte AgentBytes[] ; // contenuto dell'agente

    public AgentPacket( Agent P, byte[] clBytes ) {
      className = P.getClass().getName() ;
      ClassBytes = clBytes ;
      try {
        ByteArrayOutputStream byteOStream = new ByteArrayOutputStream();
        ObjectOutputStream objOStream = new ObjectOutputStream( byteOStream );
        objOStream.writeObject( P ) ;
        AgentBytes = byteOStream.toByteArray() ;
      } catch ( IOException e ) {
        e.printStackTrace() ;
      }
    }

    public String toString() {
      return "AgentPacket : " + className ;
    }
}
